org.richfaces.fragment.tree

## Interface Tree.AdvancedTreeInteractions

- All Known Subinterfaces:
    Tree.TreeNode.AdvancedTreeNodeInteractions
  All Known Implementing Classes:
    RichFacesTree.AdvancedTreeInteractionsImpl, RichFacesTreeNode.AdvancedNodeInteractionsImpl
  Enclosing interface:
    Tree

      public static interface Tree.AdvancedTreeInteractions

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tree.TreeNode` | `getFirstNode()`
    `List<? extends Tree.TreeNode>` | `getLeafNodes()`
    `List<? extends Tree.TreeNode>` | `getNodes()`
    `List<? extends Tree.TreeNode>` | `getNodesCollapsed()`
    `List<org.openqa.selenium.WebElement>` | `getNodesElements()`
    `List<? extends Tree.TreeNode>` | `getNodesExpanded()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `List<? extends Tree.TreeNode>` | `getSelectedNodes()`
    `void` | `setToggleByHandle()`
    `void` | `setToggleByHandle(boolean toggleByHandle)`
    `void` | `setToggleNodeEvent()`
    `void` | `setToggleNodeEvent(Event toggleNodeEvent)`

- - ### Method Detail

    - #### getFirstNode

          Tree.TreeNode getFirstNode()

      Returns:
        first visible child node

    - #### getLeafNodes

          List<? extends Tree.TreeNode> getLeafNodes()

      Returns:
        child leaf nodes

    - #### getNodes

          List<? extends Tree.TreeNode> getNodes()

      Returns:
        child nodes

    - #### getNodesCollapsed

          List<? extends Tree.TreeNode> getNodesCollapsed()

      Returns:
        collapsed child nodes

    - #### getNodesElements

          List<org.openqa.selenium.WebElement> getNodesElements()

      Returns:
        child nodes elements

    - #### getNodesExpanded

          List<? extends Tree.TreeNode> getNodesExpanded()

      Returns:
        expanded child nodes

    - #### getRootElement

          org.openqa.selenium.WebElement getRootElement()

    - #### getSelectedNodes

          List<? extends Tree.TreeNode> getSelectedNodes()

      Returns:
        selected child nodes

    - #### setToggleByHandle

          void setToggleByHandle()

    - #### setToggleByHandle

          void setToggleByHandle(boolean toggleByHandle)

    - #### setToggleNodeEvent

          void setToggleNodeEvent()

    - #### setToggleNodeEvent

          void setToggleNodeEvent(Event toggleNodeEvent)

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.